@charset "utf-8";
/* CSS Document */
html, body{height:100%; margin:0;}
#main{min-height:100%; position:relative; width:100%;}
#header{ border-bottom:1px #cccccc solid; padding-top:20px; padding-bottom:20px;}
.mt10 { margin-top:10px;} /* Abhilash 17.6.2015 */
.mt20{margin-top:20px;}
.mt30{margin-top:30px;}
.mb30{margin-bottom:30px;}
.mb15 { margin-bottom:15px;}
.pdb{padding-bottom:100px;}
.iot-no-records-msg { margin-top:15px; }
.iot-total-rec { margin-top:10px;} /* Abhilash 17.6.15 */
.iot-page-title{margin-top:0px;}
.form-page .bootstrap-select.btn-group:not(.input-group-btn), .form-page .bootstrap-select.btn-group[class*="span"]{ margin-bottom:0px;}
.form-page .form-group span.red, .form-group span {font-size: 14px;color:#ff0000;margin-right: 3px;}
.btn-xlarge {padding: 10px 40px;font-size:16px;}
.flash_message { margin-top:20px; } /* Abhilash 18.6.2015 */
#footer{position:absolute; width:100%; bottom:0; background:#333333; color:#FFFFFF; padding:15px; height:75px;}
.iot-foot-left{ padding-top:15px;}
.iot-foot-right{ margin-top:10px;}
.iot-login-page1 .iot-form-signin {max-width: 330px;padding: 15px;margin: 0 auto;}
.iot-login-page1 .iot-form-signin .iot-form-signin-heading, .iot-login-page1 .iot-form-signin .checkbox{margin-bottom: 10px;}
.iot-login-page1 .iot-form-signin .checkbox{font-weight: normal;}
.iot-login-page1 .iot-form-signin .form-control{position: relative;font-size: 16px;height: auto;padding: 10px;-webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box;}
.iot-login-page1 .iot-form-signin .form-control:focus{z-index: 2;}
.iot-login-page1 .iot-form-signin input[type="text"]{margin-bottom: -1px;border-bottom-left-radius: 0;border-bottom-right-radius: 0;}
.iot-login-page1 .iot-form-signin input[type="password"]{margin-bottom: 10px;border-top-left-radius: 0;border-top-right-radius: 0;}
.iot-login-page1 .iot-account-wall{margin-top: 20px;padding: 40px 0px 20px 0px;background-color: #f7f7f7;-moz-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);-webkit-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);}
.iot-login-page1 .iot-login-title{color: #000000;font-size: 24px;font-weight: 400;display: block;}
.iot-login-page1 .iot-need-help{margin-top: 10px;}
.iot-login-page1 article {max-width: 600px;margin: 30px auto 30px auto;}

/*-------------- login css ---------------------*/
.iot-login-body{background-color: #f1f2f7;}
.iot-login-page .iot-form-signin {max-width: 330px;margin: 30px auto 30px auto;background: #fff;border-radius: 5px;-webkit-border-radius: 5px;}
.iot-login-page .iot-form-signin h2.iot-form-signin-heading {margin: 0;padding: 20px 15px;text-align: center;background: #A3DAFD;border-radius: 5px 5px 0 0;-webkit-border-radius: 5px 5px 0 0;color: #6C6B6B;font-size: 22px;font-weight: 300;}
.iot-login-page .login-wrap {padding: 20px;}
.iot-login-page .iot-form-signin .form-control {position: relative;font-size: 16px;height: auto;padding: 10px;-webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box;}
.iot-login-page .iot-form-signin .checkbox {font-weight: normal;color: #b6b6b6;font-weight: 300;}
.iot-login-page .iot-form-signin .checkbox {margin-bottom: 14px;}
.iot-login-page .checkbox, .iot-login-page .checkbox:hover, .iot-login-page .checkbox:focus {border: none;}
.iot-login-page .iot-form-signin .btn-login {background: #FF9966;color: #fff;font-weight: 300;box-shadow: 0 4px #;margin-bottom: 20px;}
.iot-login-page .iot-form-signin .btn-login:hover {background: #CCCCCC;box-shadow: 0 4px #;}
.iot-login-page .iot-form-signin .btn-register {background: #FF9966;color: #fff;font-weight: 300;box-shadow: 0 4px #;margin-bottom: 20px;}
.iot-login-page .iot-form-signin .btn-register:hover {background: #CCCCCC;box-shadow: 0 4px #;}
.iot-login-page .new-account{display: block;margin-top: 10px;}
.iot-login-page .iot-form-signin .checkbox{margin-top: 0px;}
.iot-login-page .iot-need-help{margin-top: 10px;}
.iot-login-page article {max-width: 600px;margin: 30px auto 30px auto;}
.iot-login-page .panel-body {padding: 15px;}
.iot-login-page .panel-body1 {padding: 15px 15px 0 15px;}

.table-layout a span.glyphicon-remove{ color:#c9251d;}
.table-layout a span.glyphicon-check{ color:#7a9f2d;}
.form-page .btn-primary1{background: #000000;color: #fff;font-weight: 300;}
.form-page .btn-primary1:hover {background: #CCCCCC;}
.navbar-default .navbar-nav > .active > a, .navbar-default .navbar-nav > .active > a:hover, .navbar-default .navbar-nav > .active > a:focus {color: #FFF;background-color: #63842A;} 
.navbar-default .navbar-nav > li > a:hover, .navbar-default .navbar-nav > li > a:focus {color: #FFF;background-color: #93C21E;} 
.nav > li > a {position: relative;display: block;padding: 10px 25px; }
/* Abhilash */
.iot-content { margin-top:50px; }
.iot-page-title { float:left; width:300px; margin-top:20px;}
.iot-new-btn { margin-top:20px; }
.form-group .input-group-addon span { color: #555; }
.iot-captcha {margin:0px 0px 0px 5px; float:left; }
.iot-field-info-text { clear:both; font-size:12px; color:#979797; }
.form-group span img { margin-left:5px; margin-top:7px;}
.iot-diag-textfield { width:90%; }
.glyphicon{ color:#808080; cursor:pointer; margin-right:5px;}

/************************************ Dashboard ******************************************/

.iot-on-state, .iot-off-state { background:#1ADF1F; border-radius:20px; width:24px; height:24px; float:left; margin-top:-2px; margin-right:10px; }
.iot-off-state { background:#DF1A1A; }
.tab-content { background:#FFFFFF; border:1px solid #DDDDDD; border-top:none; }

/************************************ Overview *******************************************/
.iot-device-panel { height:575px; overflow-y:auto; } /* Abhilash 1.9.2015 */
.iot-chart-area { margin-top:15px; height: 300px; width: 100%; } /* Abhilash 17.6.15 */
.iot-from-date-err { position:absolute; margin-left:88px; }
.iot-to-date-err { position:absolute; margin-left:74px; margin-bottom:20px; }
.iot-dash-btn-blk { padding:20px 0; margin:10px 0; border-top:1px solid #cccccc; border-bottom:1px solid #cccccc; } 	/* Abhilash 6.7.2015 */
/*********************************** My streams ******************************************/
.iot-shared-info { color:#979797; margin-top:5px;}
.glyphicon-remove-circle {margin-top:5px;}
.iot-shared-info-block { margin: 0px; padding:0px; margin-top:10px;  border-top:1px solid #cccccc; padding-top:10px;} /* Abhilash 19.6.2015 */
.iot-shared-with {float: left; width:80px;}

/*********************************** Event logs *****************************************/

.iot-select-device-frm { float:left; width:400px; margin-top:20px; }

.btn-success { background-color:#b4d019;   border-color: #b4d019; }                    /* Temp Abhilash 8.12.15 */
.btn-success:hover {  background-color:green;}                    /* Temp Abhilash 8.12.15 */
